<div class="container">
    <div class="grid">
        <div class="col-8">
            <div *ngFor="let item of carts | async" class="my-4">
                <p-card 
                    header="{{item?.product?.name}}" 
                    [subheader]="item?.product?.category ?? ''" 
                >

                    <div class="grid">
                        <div class="col-6">
                            <img class="card-product" alt="Card" width="100%" [src]="item?.product?.image">
                        </div>
                        <div class="col-6">
                            <p>{{item?.product?.desc}}</p>
                        </div>
                    </div>

                    <ng-template pTemplate="footer">
                        <div class="flex">
                            <p>{{item?.product?.price| currency:'IDR' }}</p>
                            <button pButton type="button" label="Detail" routerLink="{{'/product/' + item.product._id}}"></button>
                            <button (click)="confirm(item._id)" pButton pRipple icon="pi pi-trash" class="mx-4"></button>
                        </div>
                    </ng-template>
                </p-card>
            </div>
        </div>
        <div class="col-4">
            <div class="my-4">Total: {{total | currency:'IDR'}}</div>
            <p-divider></p-divider>
            <div>
                <button (click)="checkout()" pButton pRipple label="Checkout" class="mx-4"></button>
            </div>
        </div>
    </div>
</div>